## org.eclipse.emf.mapping.xsd2ecore.provider
Class XSD2EcoreItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.mapping.xsd2ecore.util.XSD2EcoreAdapterFactory
              org.eclipse.emf.mapping.xsd2ecore.provider.XSD2EcoreItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

    public class XSD2EcoreItemProviderAdapterFactory

extends XSD2EcoreAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected XSD2EcoreMappingRootItemProvider` `xsd2EcoreMappingRootItemProvider` This keeps track of the one adapter used for all `XSD2EcoreMappingRoot` instances

Fields inherited from class org.eclipse.emf.mapping.xsd2ecore.util.XSD2EcoreAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`XSD2EcoreItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createXSD2EcoreMappingRootAdapter()` This creates an adapter for a `XSD2EcoreMappingRoot`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.emf.mapping.xsd2ecore.util.XSD2EcoreAdapterFactory
`createAdapter, createEObjectAdapter, createMappingAdapter, createMappingRootAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### xsd2EcoreMappingRootItemProvider

    protected XSD2EcoreMappingRootItemProvider xsd2EcoreMappingRootItemProvider

  This keeps track of the one adapter used for all `XSD2EcoreMappingRoot` instances.

Constructor Detail

### XSD2EcoreItemProviderAdapterFactory

    public XSD2EcoreItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createXSD2EcoreMappingRootAdapter

    public Adapter createXSD2EcoreMappingRootAdapter()

  This creates an adapter for a `XSD2EcoreMappingRoot`.

  Overrides:
    `createXSD2EcoreMappingRootAdapter` in class `XSD2EcoreAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XSD2EcoreMappingRoot`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `XSD2EcoreAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `AdapterFactoryImpl`

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `IDisposable`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.